Debian Bug report logs - #599793
ntpdate says Server dropped: no data

version graph

Package: ntpdate; Maintainer for ntpdate is Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>; Source for ntpdate is src:ntp.

Reported by: David Delon <david.delon@iut.u-clermont1.fr>

Date: Mon, 11 Oct 2010 10:03:02 UTC

Severity: normal

Found in version ntp/1:4.2.6.p2+dfsg-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#599793; Package ntpdate. (Mon, 11 Oct 2010 10:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Delon <david.delon@iut.u-clermont1.fr>:
New Bug report received and forwarded. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. (Mon, 11 Oct 2010 10:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Delon <david.delon@iut.u-clermont1.fr>
To: submit@bugs.debian.org
Subject: ntpdate says Server dropped: no data
Date: Mon, 11 Oct 2010 11:34:57 +0200
Package: ntpdate
Version: 1:4.2.6.p2+dfsg-1


root@zongo:~# ntpdate -d 192.168.109.22
11 Oct 11:17:31 ntpdate[1865]: ntpdate 4.2.6p2@1.2194-o Tue Jul 13 19:08:50 UTC 2010 (1)
transmit(192.168.109.22)
receive(192.168.109.22)
transmit(192.168.109.22)
receive(192.168.109.22)
transmit(192.168.109.22)
receive(192.168.109.22)
transmit(192.168.109.22)
receive(192.168.109.22)
transmit(192.168.109.22)
192.168.109.22: Server dropped: no data
server 192.168.109.22, port 123
stratum 5, precision -6, leap 00, trust 000
refid [192.168.109.22], delay 0.00000, dispersion 64.00000
transmitted 4, in filter 4
reference time:    d05d519e.9773a43c  Mon, Oct 11 2010 11:04:30.591
originate timestamp: d05d54b4.1f6341ee  Mon, Oct 11 2010 11:17:40.122
transmit timestamp:  d05d54b1.9285ee5f  Mon, Oct 11 2010 11:17:37.572
filter delay:  0.00000  0.00000  0.00000  0.00000
         0.00000  0.00000  0.00000  0.00000
filter offset: 0.000000 0.000000 0.000000 0.000000
         0.000000 0.000000 0.000000 0.000000
delay 0.00000, dispersion 64.00000
offset 0.000000

11 Oct 11:17:39 ntpdate[1865]: no server suitable for synchronization found


@zongo:~# dpkg -i ntpdate_4.2.6.p1+dfsg-1_i386.deb
dpkg: warning: downgrading ntpdate from 1:4.2.6.p2+dfsg-1 to 1:4.2.6.p1+dfsg-1.
(Reading database ... 233021 files and directories currently installed.)
Preparing to replace ntpdate 1:4.2.6.p2+dfsg-1 (using ntpdate_4.2.6.p1+dfsg-1_i386.deb) ...
Unpacking replacement ntpdate ...
Setting up ntpdate (1:4.2.6.p1+dfsg-1) ...
Processing triggers for man-db ...

root@zongo:~# ntpdate -d 192.168.109.22
11 Oct 11:19:04 ntpdate[1925]: ntpdate 4.2.6p1@1.2158-o Wed May 26 18:51:50 UTC 2010 (1)
transmit(192.168.109.22)
receive(192.168.109.22)
transmit(192.168.109.22)
receive(192.168.109.22)
transmit(192.168.109.22)
receive(192.168.109.22)
transmit(192.168.109.22)
receive(192.168.109.22)
transmit(192.168.109.22)
server 192.168.109.22, port 123
stratum 5, precision -6, leap 00, trust 000
refid [192.168.109.22], delay 0.04164, dispersion 0.00096
transmitted 4, in filter 4
reference time:    d05d519e.97a45fc6  Mon, Oct 11 2010 11:04:30.592
originate timestamp: d05d550b.83ac90ed  Mon, Oct 11 2010 11:19:07.514
transmit timestamp:  d05d5508.f6501ebb  Mon, Oct 11 2010 11:19:04.962
filter delay:  0.04164  0.04182  0.04164  0.04167
         0.00000  0.00000  0.00000  0.00000
filter offset: 2.553532 2.552998 2.552478 2.551976
         0.000000 0.000000 0.000000 0.000000
delay 0.04164, dispersion 0.00096
offset 2.553532

11 Oct 11:19:04 ntpdate[1925]: step time server 192.168.109.22 offset 2.553532 sec

Problem occurs on all my clients running on Debian testing.
Problem do not occur on all my clients running on Debian stable.
My NTP server is a Windows 2003 controller domain.
Also seen on http://bugs.gentoo.org/show_bug.cgi?id=329571

Thanks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#599793; Package ntpdate. (Sun, 06 Feb 2011 13:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olli Janatuinen <olli.janatuinen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. (Sun, 06 Feb 2011 13:54:06 GMT) Full text and rfc822 format available.

Message #10 received at 599793@bugs.debian.org (full text, mbox):

From: Olli Janatuinen <olli.janatuinen@gmail.com>
To: 599793@bugs.debian.org
Subject: ntpdate says Server dropped: no data - fixed in 4.2.6p3
Date: Sun, 6 Feb 2011 15:50:53 +0200
[Message part 1 (text/plain, inline)]
This bug is in ntpdate 4.2.6p2: https://bugs.ntp.org/show_bug.cgi?id=1709
Bug is fixed in 4.2.6p3

Test results from Debian squeeze:
root@debian:~/ntp-4.2.6p3# ntpdate -v
 6 Feb 15:43:48 ntpdate[4626]: ntpdate 4.2.6p2@1.2194-o Sun Oct 17 13:45:14
UTC 2010 (1)
 6 Feb 15:43:48 ntpdate[4626]: no servers can be used, exiting
root@debian:~/ntp-4.2.6p3# ntpdate 10.10.10.11
 6 Feb 15:44:06 ntpdate[4627]: no server suitable for synchronization found

root@debian:~/ntp-4.2.6p3# ./ntpdate/ntpdate -v
 6 Feb 15:44:20 ntpdate[4628]: ntpdate 4.2.6p3@1.2290-o Sun Feb  6 13:43:25
UTC 2011 (1)
 6 Feb 15:44:20 ntpdate[4628]: no servers can be used, exiting
root@debian:~/ntp-4.2.6p3# ./ntpdate/ntpdate 10.10.10.11
 6 Feb 17:44:36 ntpdate[4629]: step time server 10.10.10.11 offset
7203.757666 sec
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#599793; Package ntpdate. (Mon, 14 Mar 2011 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël RIGNIER <rignier@cpe-chartreux.com>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. (Mon, 14 Mar 2011 14:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 599793@bugs.debian.org (full text, mbox):

From: Raphaël RIGNIER <rignier@cpe-chartreux.com>
To: 599793@bugs.debian.org
Subject: ntpdate says Server dropped: no data
Date: Mon, 14 Mar 2011 15:53:11 +0100
Hi,
If this bug is resolved,
Is it possible to push ntpdate 4.2.6.p3 in stable release ?

Thank you.

RR




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#599793; Package ntpdate. (Mon, 13 Jun 2011 15:46:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dave Walker <DaveWalker@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. (Mon, 13 Jun 2011 15:46:26 GMT) Full text and rfc822 format available.

Message #20 received at 599793@bugs.debian.org (full text, mbox):

From: Dave Walker <DaveWalker@ubuntu.com>
To: 599793@bugs.debian.org
Subject: patch
Date: Mon, 13 Jun 2011 16:28:48 +0100
[Message part 1 (text/plain, inline)]
||Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu oneiric

Hi,

Attached is the patch which has been uploaded to Ubuntu Oneiric package.

Thanks.

Kind Regards,
Dave Walker
[Message part 2 (text/html, inline)]
[ntpdate-accept-same-timestamp-replies.patch (text/x-patch, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:31:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.